# バッチスクレープ (/ja/api-reference/endpoint/batch-scrape)

<!-- agent-signals: reading_time_min: 10 · est_tokens: 11052 · updated: 2026-07-30 -->
Related: [検索](/ja/api-reference/endpoint/search.md), [検索フィードバック](/ja/api-reference/endpoint/search-feedback.md), [スクレイプ](/ja/api-reference/endpoint/scrape.md), [バッチスクレイプのステータス取得](/ja/api-reference/endpoint/batch-scrape-get.md), [バッチスクレイプのキャンセル](/ja/api-reference/endpoint/batch-scrape-delete.md), [バッチスクレイプのエラーを取得する](/ja/api-reference/endpoint/batch-scrape-get-errors.md)

> Firecrawl API key が必要な AI エージェントの場合は、自動オンボーディング手順について [firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md) を参照してください。

`POST /batch/scrape`

複数のURLをスクレイピングし、必要に応じてLLMを用いて情報を抽出する

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "allOf": [
            {
              "properties": {
                "ignoreInvalidURLs": {
                  "default": true,
                  "description": "urls 配列に無効な URL が含まれている場合、それらは無視されます。無効な URL が原因でリクエスト全体が失敗するのではなく、残りの有効な URL を使ってバッチスクレイプが作成され、無効な URL はレスポンスの invalidURLs フィールドで返されます。",
                  "type": "boolean"
                },
                "maxConcurrency": {
                  "description": "同時に実行されるスクレイプの最大数。このパラメータで、このバッチスクレイプに対する同時実行数の上限を設定できます。指定しない場合、このバッチスクレイプはチームで設定された同時実行数の上限に従います。",
                  "type": "integer"
                },
                "urls": {
                  "items": {
                    "description": "スクレイプ対象のURL",
                    "format": "uri",
                    "type": "string"
                  },
                  "type": "array"
                },
                "webhook": {
                  "description": "Webhook の仕様を表すオブジェクト。",
                  "properties": {
                    "events": {
                      "description": "Webhook URL に送信するイベントの種類を指定します（デフォルト: すべて）。",
                      "items": {
                        "enum": [
                          "completed",
                          "page",
                          "failed",
                          "started"
                        ],
                        "type": "string"
                      },
                      "type": "array"
                    },
                    "headers": {
                      "additionalProperties": {
                        "type": "string"
                      },
                      "description": "Webhook URL に送信するヘッダー情報。",
                      "type": "object"
                    },
                    "metadata": {
                      "additionalProperties": true,
                      "description": "このクロールで送信されるすべてのWebhookペイロードに含めるカスタムメタデータ",
                      "type": "object"
                    },
                    "url": {
                      "description": "Webhook を送信する URL。バッチスクレイプの開始時（batch_scrape.started）、各ページのスクレイプ時（batch_scrape.page）、およびバッチスクレイプの完了時（batch_scrape.completed または batch_scrape.failed）にトリガーされます。レスポンスは `/scrape` エンドポイントと同じです。",
                      "type": "string"
                    }
                  },
                  "required": [
                    "url"
                  ],
                  "type": "object"
                }
              },
              "required": [
                "urls"
              ],
              "type": "object"
            },
            {
              "properties": {
                "actions": {
                  "description": "コンテンツを取得する前にページに対して実行するアクション",
                  "items": {
                    "oneOf": [
                      {
                        "oneOf": [
                          {
                            "additionalProperties": false,
                            "properties": {
                              "milliseconds": {
                                "description": "待機する時間（ミリ秒）",
                                "minimum": 1,
                                "type": "integer"
                              },
                              "type": {
                                "description": "指定したミリ秒数だけ待機します",
                                "enum": [
                                  "wait"
                                ],
                                "type": "string"
                              }
                            },
                            "required": [
                              "type",
                              "milliseconds"
                            ],
                            "title": "Wait by Duration",
                            "type": "object"
                          },
                          {
                            "additionalProperties": false,
                            "properties": {
                              "selector": {
                                "description": "対象要素のCSSセレクター",
                                "example": "#my-element",
                                "type": "string"
                              },
                              "type": {
                                "description": "特定の要素が表示されるまで待機します",
                                "enum": [
                                  "wait"
                                ],
                                "type": "string"
                              }
                            },
                            "required": [
                              "type",
                              "selector"
                            ],
                            "title": "Wait for Element",
                            "type": "object"
                          }
                        ],
                        "title": "Wait"
                      },
                      {
                        "properties": {
                          "fullPage": {
                            "default": false,
                            "description": "ページ全体のスクリーンショットを取得するか（その場合は viewport.height を無視）、または現在のビューポート範囲内のスクリーンショットにするかを指定します。",
                            "type": "boolean"
                          },
                          "quality": {
                            "description": "スクリーンショットの画質を1〜100で指定します。100が最高画質です。",
                            "type": "integer"
                          },
                          "type": {
                            "description": "スクリーンショットを撮影します。リンクはレスポンスの `actions.screenshots` 配列内に含まれます。",
                            "enum": [
                              "screenshot"
                            ],
                            "type": "string"
                          },
                          "viewport": {
                            "properties": {
                              "height": {
                                "description": "ビューポートの高さ（ピクセル単位）",
                                "type": "integer"
                              },
                              "width": {
                                "description": "ビューポートの幅（ピクセル単位）",
                                "type": "integer"
                              }
                            },
                            "required": [
                              "width",
                              "height"
                            ],
                            "type": "object"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Screenshot",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "all": {
                            "default": false,
                            "description": "セレクターに一致したすべての要素をクリックし、最初の要素だけを対象とするわけではありません。セレクターに一致する要素が存在しない場合でも、エラーは発生しません。",
                            "type": "boolean"
                          },
                          "selector": {
                            "description": "要素を検索するためのクエリセレクタ",
                            "example": "#load-more-button",
                            "type": "string"
                          },
                          "type": {
                            "description": "要素をクリック",
                            "enum": [
                              "click"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type",
                          "selector"
                        ],
                        "title": "Click",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "text": {
                            "description": "入力テキスト",
                            "example": "Hello, world!",
                            "type": "string"
                          },
                          "type": {
                            "description": "入力フィールド、テキストエリア、または contenteditable 要素にテキストを書き込みます。注意: テキストを書き込む前に、必ず 'click' アクションでその要素にフォーカスしてください。テキストはキーボード入力をシミュレートするため、1文字ずつタイプされます。",
                            "enum": [
                              "write"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type",
                          "text"
                        ],
                        "title": "Write text",
                        "type": "object"
                      },
                      {
                        "description": "このページでキーを押してください。キーコードについては https://asawicki.info/nosense/doc/devices/keyboard/key_codes.html を参照してください。",
                        "properties": {
                          "key": {
                            "description": "押すキー",
                            "example": "Enter",
                            "type": "string"
                          },
                          "type": {
                            "description": "このページでキーを押してください",
                            "enum": [
                              "press"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type",
                          "key"
                        ],
                        "title": "Press a key",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "direction": {
                            "default": "down",
                            "description": "スクロール方向",
                            "enum": [
                              "up",
                              "down"
                            ],
                            "type": "string"
                          },
                          "selector": {
                            "description": "スクロールする要素を指定するクエリセレクター",
                            "example": "#my-element",
                            "type": "string"
                          },
                          "type": {
                            "description": "ページまたは特定の要素をスクロールする",
                            "enum": [
                              "scroll"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Scroll",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "type": {
                            "description": "現在のページのコンテンツを取得し、URL と HTML を返します。",
                            "enum": [
                              "scrape"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Scrape",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "script": {
                            "description": "実行する JavaScript コード",
                            "example": "document.querySelector('.button').click();",
                            "type": "string"
                          },
                          "type": {
                            "description": "ページ上でJavaScriptコードを実行する",
                            "enum": [
                              "executeJavascript"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type",
                          "script"
                        ],
                        "title": "Execute JavaScript",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "format": {
                            "default": "Letter",
                            "description": "出力されるPDFのページサイズ",
                            "enum": [
                              "A0",
                              "A1",
                              "A2",
                              "A3",
                              "A4",
                              "A5",
                              "A6",
                              "Letter",
                              "Legal",
                              "Tabloid",
                              "Ledger"
                            ],
                            "type": "string"
                          },
                          "landscape": {
                            "default": false,
                            "description": "PDF を横向きで生成するかどうかを指定します",
                            "type": "boolean"
                          },
                          "scale": {
                            "default": 1,
                            "description": "生成されるPDFの拡大縮小倍率",
                            "type": "number"
                          },
                          "type": {
                            "description": "現在のページのPDFを生成します。生成されたPDFは、レスポンスの `actions.pdfs` 配列内で返されます。",
                            "enum": [
                              "pdf"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Generate PDF",
                        "type": "object"
                      }
                    ]
                  },
                  "type": "array"
                },
                "auditMetadata": {
                  "additionalProperties": false,
                  "description": "組織でSIEM Loggingが有効になっている場合、SIEMロギングイベントに含まれるユーザーの属性情報。",
                  "properties": {
                    "username": {
                      "description": "リクエストに関連付けられたユーザー名。",
                      "maxLength": 1024,
                      "type": "string"
                    }
                  },
                  "required": [
                    "username"
                  ],
                  "type": "object"
                },
                "blockAds": {
                  "default": true,
                  "description": "広告およびCookie同意ポップアップのブロックを有効化します。",
                  "type": "boolean"
                },
                "excludeTags": {
                  "description": "出力結果から除外するタグ。",
                  "items": {
                    "type": "string"
                  },
                  "type": "array"
                },
                "formats": {
                  "default": [
                    "markdown"
                  ],
                  "description": "レスポンスに含める出力フォーマットを指定します。1つ以上のフォーマットを、文字列（例: `'markdown'`）または追加オプションを含むオブジェクト（例: `{ type: 'json', schema: {...} }`）として指定できます。一部のフォーマットでは、特定のオプションの設定が必須です。例: `['markdown', { type: 'json', schema: {...} }]`。",
                  "items": {
                    "oneOf": [
                      {
                        "properties": {
                          "type": {
                            "enum": [
                              "markdown"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Markdown",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "type": {
                            "enum": [
                              "summary"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Summary",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "type": {
                            "enum": [
                              "html"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "HTML",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "type": {
                            "enum": [
                              "rawHtml"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Raw HTML",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "type": {
                            "enum": [
                              "links"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Links",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "type": {
                            "enum": [
                              "images"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Images",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "fullPage": {
                            "default": false,
                            "description": "ページ全体のスクリーンショットを取得するか（その場合は viewport.height を無視）、または現在のビューポート範囲内のスクリーンショットにするかを指定します。",
                            "type": "boolean"
                          },
                          "quality": {
                            "description": "スクリーンショットの画質を1〜100で指定します。100が最高画質です。",
                            "type": "integer"
                          },
                          "type": {
                            "enum": [
                              "screenshot"
                            ],
                            "type": "string"
                          },
                          "viewport": {
                            "properties": {
                              "height": {
                                "description": "ビューポートの高さ（ピクセル単位）",
                                "type": "integer"
                              },
                              "width": {
                                "description": "ビューポートの幅（ピクセル単位）",
                                "type": "integer"
                              }
                            },
                            "required": [
                              "width",
                              "height"
                            ],
                            "type": "object"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Screenshot",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "prompt": {
                            "description": "JSON出力用プロンプト",
                            "type": "string"
                          },
                          "schema": {
                            "description": "JSON出力用のスキーマ。[JSON Schema](https://json-schema.org/) に準拠している必要があります。",
                            "type": "object"
                          },
                          "type": {
                            "enum": [
                              "json"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "JSON",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "modes": {
                            "description": "変更追跡に使用するモードです。'git-diff' は詳細な差分を表示し、'json' は抽出した JSON データを比較します。",
                            "items": {
                              "enum": [
                                "git-diff",
                                "json"
                              ],
                              "type": "string"
                            },
                            "type": "array"
                          },
                          "prompt": {
                            "description": "json モードで変更追跡を行う際に使用するプロンプトです。指定しない場合はデフォルトのプロンプトが使用されます。",
                            "type": "string"
                          },
                          "schema": {
                            "description": "「json」モードでのJSON抽出用スキーマです。抽出および比較するデータの構造を定義します。[JSON Schema](https://json-schema.org/) に準拠する必要があります。",
                            "type": "object"
                          },
                          "tag": {
                            "default": null,
                            "description": "変更追跡に使用するタグ。タグを使うことで、変更追跡の履歴を個別の「ブランチ」に分割できます。特定のタグを指定した場合、そのタグに対する変更追跡は、同じタグで実行されたスクレイプとのみ比較されます。指定しない場合は、デフォルトタグ（null）が使用されます。",
                            "nullable": true,
                            "type": "string"
                          },
                          "type": {
                            "enum": [
                              "changeTracking"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Change Tracking",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "type": {
                            "enum": [
                              "branding"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Branding",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "type": {
                            "enum": [
                              "product"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Product",
                        "type": "object"
                      },
                      {
                        "properties": {
                          "type": {
                            "enum": [
                              "menu"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Menu",
                        "type": "object"
                      },
                      {
                        "description": "対応している動画URL（YouTube など）から音声（MP3）を抽出します。署名付きGCS URLを返します。",
                        "properties": {
                          "type": {
                            "enum": [
                              "audio"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Audio",
                        "type": "object"
                      },
                      {
                        "description": "対応している動画URL（YouTube など）から最高画質の動画を抽出します。署名付きGCS URLを返します。",
                        "properties": {
                          "type": {
                            "enum": [
                              "video"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "title": "Video",
                        "type": "object"
                      },
                      {
                        "description": "ページについて自然言語で質問します。回答はレスポンスの `answer` フィールドで返されます。",
                        "properties": {
                          "question": {
                            "description": "ページについて回答を得るための質問です。最大10,000文字です。",
                            "maxLength": 10000,
                            "type": "string"
                          },
                          "type": {
                            "enum": [
                              "question"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type",
                          "question"
                        ],
                        "title": "Question",
                        "type": "object"
                      },
                      {
                        "description": "ページから関連するソーステキストを見つけます。選択されたテキストはレスポンスの `highlights` フィールドで返されます。",
                        "properties": {
                          "query": {
                            "description": "ページに対して実行するテキスト選択用のqueryです。最大10,000文字です。",
                            "maxLength": 10000,
                            "type": "string"
                          },
                          "type": {
                            "enum": [
                              "highlights"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type",
                          "query"
                        ],
                        "title": "Highlights",
                        "type": "object"
                      }
                    ]
                  },
                  "type": "array"
                },
                "headers": {
                  "description": "リクエストに含めるヘッダー。Cookie や User-Agent などを送信するために使用できます。",
                  "type": "object"
                },
                "includeTags": {
                  "description": "出力に含めるタグ。",
                  "items": {
                    "type": "string"
                  },
                  "type": "array"
                },
                "location": {
                  "description": "リクエストのロケーション設定です。指定すると、利用可能な場合は適切なプロキシが使用され、対応する言語およびタイムゾーン設定がエミュレートされます。指定されていない場合は、デフォルトで「US」が使用されます。",
                  "properties": {
                    "country": {
                      "default": "US",
                      "description": "ISO 3166-1 alpha-2 国コード（例：'US'、'AU'、'DE'、'JP'）",
                      "pattern": "^[A-Z]{2}$",
                      "type": "string"
                    },
                    "languages": {
                      "description": "リクエストに対して優先順で指定する言語とロケール。デフォルトは、指定された location の言語になります。詳しくは https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Accept-Language を参照してください。",
                      "items": {
                        "example": "en-US",
                        "type": "string"
                      },
                      "type": "array"
                    }
                  },
                  "type": "object"
                },
                "lockdown": {
                  "default": false,
                  "description": "true の場合、リクエストは Firecrawl のキャッシュからのみ返され、対象 URL への外部リクエストは一切行われません。これは、スクレイピングのリクエスト自体が機密情報を漏らす可能性がある、コンプライアンス要件の厳しい環境やエアギャップ環境向けに設計されています。キャッシュミス時には、エラーコード SCRAPE_LOCKDOWN_CACHE_MISS を伴う 404 を返します（ミス時に URL が記録されることはありません）。Lockdown リクエストはゼロデータ保持として扱われます。既存のキャッシュ済みページを引き続き利用対象にできるよう、デフォルトの maxAge は 2 年に延長されます。課金は、ヒット時が 5 クレジット、キャッシュミス時が 1 クレジットです。",
                  "type": "boolean"
                },
                "maxAge": {
                  "default": 172800000,
                  "description": "ページのキャッシュが、この値（ミリ秒）で指定した有効期間より新しい場合は、そのキャッシュ版を返します。キャッシュがこの値より古い場合は、新たにページのスクレイピングを行います。極めて最新のデータが不要であれば、これを有効にすることでスクレイピングを最大500%高速化できます。デフォルトは2日です。",
                  "type": "integer"
                },
                "minAge": {
                  "description": "設定すると、このリクエストはキャッシュのみを確認し、新しいスクレイプは実行されません。値はミリ秒単位で、キャッシュデータに必要な最小経過時間を指定します。一致するキャッシュデータが存在する場合は、即座に返されます。キャッシュデータが見つからない場合は、エラーコード SCRAPE_NO_CACHED_DATA を含む 404 が返されます。経過時間に関係なく、任意のキャッシュデータを許可するには 1 に設定します。",
                  "type": "integer"
                },
                "mobile": {
                  "default": false,
                  "description": "モバイル端末からのスクレイピングをエミュレートしたい場合は、true に設定します。レスポンシブページのテストやモバイル向けスクリーンショットの取得に便利です。",
                  "type": "boolean"
                },
                "onlyCleanContent": {
                  "default": false,
                  "description": "ベータ版。生成された Markdown に対して追加の LLM ベースの処理を実行し、`onlyMainContent` では取りこぼす可能性のある残存ボイラープレート（Cookie バナー、広告ブロック、ソーシャル共有ウィジェット、パンくずリスト、ニュースレター登録、コメント欄、関連記事リスト）を削除します。見出し、リスト、表、コードブロック、画像参照、インラインリンクは保持されます。`onlyMainContent` と組み合わせて使うこともでき（これが最も一般的な構成です）、単独でも使用できます。Markdown がクリーニングモデルの出力トークン上限を超える場合は、警告を出してスキップされます（元の Markdown は保持されます）。ゼロデータ保持の request ではサポートされていません。",
                  "type": "boolean"
                },
                "onlyMainContent": {
                  "default": true,
                  "description": "ヘッダー、ナビゲーション、フッターなどを除き、ページの主要なコンテンツのみを返します。これは Markdown 生成前に適用される、HTML レベルの決定論的なフィルターであり、LLM は関与しません。",
                  "type": "boolean"
                },
                "parsers": {
                  "default": [
                    "pdf"
                  ],
                  "description": "スクレイピング時のファイルの処理方法を制御します。\"pdf\" が含まれている場合（デフォルト）、PDF の内容が抽出されて markdown 形式に変換され、課金はページ数に基づきます（1ページあたり1クレジット）。空の配列を渡した場合、PDF ファイルは base64 エンコード形式で返され、PDF 全体で一律1クレジットが請求されます。",
                  "items": {
                    "oneOf": [
                      {
                        "additionalProperties": false,
                        "properties": {
                          "maxPages": {
                            "description": "PDF から解析するページの最大数です。1〜10000 の正の整数で指定してください。",
                            "maximum": 10000,
                            "minimum": 1,
                            "type": "integer"
                          },
                          "mode": {
                            "default": "auto",
                            "description": "PDF の解析モード。\"fast\"：テキストベースの抽出のみ（埋め込みテキストのみを対象とし、最速）。\"auto\"（デフォルト）：まず fast で抽出を試し、必要に応じて OCR にフォールバックします。\"ocr\"：すべてのページで必ず OCR 解析を実行します。",
                            "enum": [
                              "fast",
                              "auto",
                              "ocr"
                            ],
                            "type": "string"
                          },
                          "type": {
                            "enum": [
                              "pdf"
                            ],
                            "type": "string"
                          }
                        },
                        "required": [
                          "type"
                        ],
                        "type": "object"
                      }
                    ]
                  },
                  "type": "array"
                },
                "profile": {
                  "description": "スクレイピングおよび Interact セッション間で、永続的な browser ストレージを有効にします。スクレイピング時にプロファイルを指定すると、Cookie、localStorage、セッションデータが保持されます。同じプロファイル名のセッションでは、browser の状態が共有されます。",
                  "properties": {
                    "name": {
                      "description": "プロファイルの名前です。同じ名前でスクレイピングすると、browser の状態（Cookie、localStorage、セッション）が共有されます。",
                      "maxLength": 128,
                      "minLength": 1,
                      "type": "string"
                    },
                    "saveChanges": {
                      "default": true,
                      "description": "true の場合、Interact セッションが停止したときに browser の状態がプロファイルに保存されます。false に設定すると、既存のデータを読み込むだけで書き込みは行いません。同時に保存できるセッションは 1 つだけです。",
                      "type": "boolean"
                    }
                  },
                  "required": [
                    "name"
                  ],
                  "type": "object"
                },
                "proxy": {
                  "default": "auto",
                  "description": "使用するプロキシの種類を指定します。\n\n - **basic**: ボット対策がない、または基本的なボット対策のみを行っているサイト向けのプロキシです。高速で、多くのケースではこれで十分です。\n - **enhanced**: 高度なボット対策を行っているサイト向けの強化プロキシです。basic よりは遅くなりますが、一部のサイトではより高い成功率が期待できます。1 リクエストあたり最大 5 クレジット消費します。\n - **auto**: basic プロキシでのスクレイピングに失敗した場合、Firecrawl が自動的に enhanced プロキシで再試行します。enhanced での再試行が成功した場合、そのスクレイプには 5 クレジットが課金されます。最初の basic で成功した場合は、通常のコストのみが課金されます。",
                  "enum": [
                    "basic",
                    "enhanced",
                    "auto"
                  ],
                  "type": "string"
                },
                "redactPII": {
                  "default": false,
                  "description": "返された markdown から個人を特定できる情報をマスキングします。デフォルト設定を使うには `true` を渡し、モード、エンティティ、置換スタイルを調整するにはオブジェクトを渡します。",
                  "oneOf": [
                    {
                      "type": "boolean"
                    },
                    {
                      "additionalProperties": false,
                      "description": "PII マスキングの調整オプションです。",
                      "properties": {
                        "entities": {
                          "description": "マスキング対象をこれらのエンティティカテゴリに限定します。省略した場合は、対応しているすべてのエンティティがマスキングされます。",
                          "items": {
                            "description": "Firecrawl の個人情報マスキングで対応している公開 PII エンティティカテゴリです。",
                            "enum": [
                              "PERSON",
                              "EMAIL",
                              "PHONE",
                              "LOCATION",
                              "FINANCIAL",
                              "SECRET"
                            ],
                            "type": "string"
                          },
                          "type": "array"
                        },
                        "mode": {
                          "default": "accurate",
                          "description": "マスキング戦略です。`accurate` はモデルのみを使用し、精度重視で最適化されています。`aggressive` は追加のヒューリスティックで再現率を高め、`fast` はモデル呼び出しを行わずにヒューリスティックのみを使用します。",
                          "enum": [
                            "accurate",
                            "aggressive",
                            "fast"
                          ],
                          "type": "string"
                        },
                        "replaceStyle": {
                          "default": "tag",
                          "description": "`tag` は該当箇所を `<EMAIL>` のようなプレースホルダーに置き換え、`mask` は文字を `*` に置き換え、`remove` は該当テキストを削除します。",
                          "enum": [
                            "tag",
                            "mask",
                            "remove"
                          ],
                          "type": "string"
                        }
                      },
                      "type": "object"
                    }
                  ]
                },
                "removeBase64Images": {
                  "default": true,
                  "description": "markdown 出力からすべての Base64 画像を削除します。長くなりすぎる可能性があるためです。これは html または rawHtml フォーマットには影響しません。画像の代替テキストは出力に残りますが、URL はプレースホルダーに置き換えられます。",
                  "type": "boolean"
                },
                "skipTlsVerification": {
                  "default": true,
                  "description": "リクエストを送信する際に TLS 証明書の検証を行わないようにします。",
                  "type": "boolean"
                },
                "storeInCache": {
                  "default": true,
                  "description": "true の場合、そのページは Firecrawl のインデックスおよびキャッシュに保存されます。スクレイピング活動でデータ保護上の懸念が生じる可能性がある場合は、これを false に設定すると有用です。機密性の高いスクレイピングに関連する一部のパラメータ（例: actions、headers）を使用すると、このパラメータは強制的に false になります。",
                  "type": "boolean"
                },
                "threatProtection": {
                  "description": "このリクエスト単位の [脅威保護](https://docs.firecrawl.dev/features/threat-protection) オーバーライドです。指定したフィールドは、このリクエストに限り、組織のポリシー内の対応するフィールドを置き換えます。省略したフィールドには組織レベルの値がそのまま適用されます。利用するには、チームで脅威保護が有効になっている必要があります（エンタープライズ機能）。有効でない場合、リクエストは 403 で拒否されます。組織でリクエストごとのオーバーライドが無効になっている場合、このオブジェクトを含むリクエストはすべて 403 で拒否されます。チームに対して脅威保護が強制適用されている場合、`mode` に `off` は設定できません。",
                  "properties": {
                    "blacklist": {
                      "description": "常にブロックするドメインです。通常のドメイン（`example.com`）またはワイルドカードグロブ（`*.example.com`）で指定します。プロトコル、パス、ポートは含めないでください。",
                      "items": {
                        "type": "string"
                      },
                      "maxItems": 1000,
                      "type": "array"
                    },
                    "blockedTlds": {
                      "description": "無条件でブロックするトップレベルドメインです。先頭のドットを付けない小文字で指定します（例: `zip`）。",
                      "items": {
                        "type": "string"
                      },
                      "maxItems": 1000,
                      "type": "array"
                    },
                    "failurePolicy": {
                      "description": "分類器に到達できない場合の動作です。`closed` はリクエストをブロックし、`open` は許可します。",
                      "enum": [
                        "open",
                        "closed"
                      ],
                      "type": "string"
                    },
                    "mode": {
                      "description": "このリクエストの URL スキャンモード。`normal` は URL を Google Web Risk でチェックします（スキャンした URL 1 件あたり +2 クレジット）。",
                      "enum": [
                        "off",
                        "normal"
                      ],
                      "type": "string"
                    },
                    "riskScoreThreshold": {
                      "description": "分類器の判定で URL をブロックする正規化リスクスコアのしきい値（0〜100）。値を低くするほど厳格になります。",
                      "example": 75,
                      "maximum": 100,
                      "minimum": 0,
                      "type": "integer"
                    },
                    "whitelist": {
                      "description": "常に許可するドメインです。通常のドメインまたはワイルドカードグロブで指定します。ほかのすべてのルールより優先されます。",
                      "items": {
                        "type": "string"
                      },
                      "maxItems": 1000,
                      "type": "array"
                    }
                  },
                  "title": "Threat Protection Override",
                  "type": "object"
                },
                "timeout": {
                  "default": 60000,
                  "description": "リクエストのタイムアウト（ミリ秒）。最小値は1000（1秒）、デフォルト値は60000（60秒）、最大値は300000（300秒）です。",
                  "maximum": 300000,
                  "minimum": 1000,
                  "type": "integer"
                },
                "waitFor": {
                  "default": 0,
                  "description": "コンテンツを取得する前に待機する時間をミリ秒単位で指定します。ページが十分に読み込まれるまでの時間を確保するための遅延です。この待機時間は、Firecrawl のスマート待機機能に加えて発生します。",
                  "type": "integer"
                }
              },
              "type": "object"
            },
            {
              "properties": {
                "zeroDataRetention": {
                  "default": false,
                  "description": "true の場合、このバッチスクレイプではゼロデータ保持が有効になり、データは一切保持されません。この機能を有効にするには、help@firecrawl.dev までご連絡ください。",
                  "type": "boolean"
                }
              },
              "type": "object"
            }
          ]
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "id": {
                "type": "string"
              },
              "invalidURLs": {
                "description": "ignoreInvalidURLs が true の場合、このフィールドは、リクエスト内で指定された無効な URL を含む配列になります。無効な URL がなかった場合、この配列は空になります。ignoreInvalidURLs が false の場合、このフィールドは undefined になります。",
                "items": {
                  "type": "string"
                },
                "nullable": true,
                "type": "array"
              },
              "success": {
                "type": "boolean"
              },
              "url": {
                "format": "uri",
                "type": "string"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "成功時のレスポンス"
    },
    "402": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Payment required to access this resource.",
                "type": "string"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "お支払いが必要です"
    },
    "429": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Request rate limit exceeded. Please wait and try again later.",
                "type": "string"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "リクエストが多すぎます。"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "An unexpected error occurred on the server.",
                "type": "string"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "サーバーエラー"
    }
  }
}
```
